summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorPacho Ramos <pacho@gentoo.org>2012-11-25 07:19:51 +0000
committerPacho Ramos <pacho@gentoo.org>2012-11-25 07:19:51 +0000
commit32734dc8f0226d54bcaebdd8c4bf08307b8cf5a2 (patch)
tree1e8575117575930edd97d4ca2a2dc2d9ef8db962 /eclass
parentVersion bump. Add myself as maintainer. (diff)
downloadhistorical-32734dc8f0226d54bcaebdd8c4bf08307b8cf5a2.tar.gz
historical-32734dc8f0226d54bcaebdd8c4bf08307b8cf5a2.tar.bz2
historical-32734dc8f0226d54bcaebdd8c4bf08307b8cf5a2.zip
Really install only libs, not everything included in .so* (#442910 by SpanKY, Samuli Suominen and Jim Faulkner).
Diffstat (limited to 'eclass')
-rw-r--r--eclass/ChangeLog6
-rw-r--r--eclass/emul-linux-x86.eclass4
2 files changed, 7 insertions, 3 deletions
diff --git a/eclass/ChangeLog b/eclass/ChangeLog
index aeea99a23a13..db271fbc9b42 100644
--- a/eclass/ChangeLog
+++ b/eclass/ChangeLog
@@ -1,6 +1,10 @@
# ChangeLog for eclass directory
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.518 2012/11/24 21:07:14 mgorny Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/ChangeLog,v 1.519 2012/11/25 07:19:51 pacho Exp $
+
+ 25 Nov 2012; Pacho Ramos <pacho@gentoo.org> emul-linux-x86.eclass:
+ Really install only libs, not everything included in .so* (#442910 by SpanKY,
+ Samuli Suominen and Jim Faulkner).
24 Nov 2012; Michał Górny <mgorny@gentoo.org> distutils-r1.eclass,
python.eclass, python-r1.eclass, python-single-r1.eclass,
diff --git a/eclass/emul-linux-x86.eclass b/eclass/emul-linux-x86.eclass
index cbb741b7deb5..91a02380d9f1 100644
--- a/eclass/emul-linux-x86.eclass
+++ b/eclass/emul-linux-x86.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/emul-linux-x86.eclass,v 1.14 2012/11/02 16:38:46 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/emul-linux-x86.eclass,v 1.15 2012/11/25 07:19:51 pacho Exp $
#
# Original Author: Mike Doty <kingtaco@gentoo.org>
@@ -59,7 +59,7 @@ emul-linux-x86_src_unpack() {
emul-linux-x86_src_prepare() {
ALLOWED=${ALLOWED:-^${S}/etc/env.d}
has development "${IUSE//+}" && use development && ALLOWED="${ALLOWED}|/usr/lib32/pkgconfig"
- find "${S}" ! -type d ! -name '*.so*' | egrep -v "${ALLOWED}" | xargs -d $'\n' rm -f || die 'failed to remove everything but *.so*'
+ find "${S}" ! -type d ! '(' -name '*.so' -o -name '*.so.[0-9]*' ')' | egrep -v "${ALLOWED}" | xargs -d $'\n' rm -f || die 'failed to remove everything but *.so*'
}
emul-linux-x86_src_install() {